%define upstream_name	 WebService-FreeDB
%define upstream_version 0.79

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    FreeDB search by keyword	
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent) >= 1.320.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%description
WebService-FreeDB is a perl module for retrieving entries from FreeDB 
by searching for keywords (artist,track,album,rest) 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
# %{__make} test

%install
%make_install 

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%{perl_vendorlib}/WebService

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.790.0-10.mga8
+ Revision: 1498221
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.790.0-9.mga7
+ Revision: 1272586
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.790.0-8.mga6
+ Revision: 1035695
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.790.0-7.mga6
+ Revision: 949820
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.790.0-6.mga5
+ Revision: 790460
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.790.0-5.mga5
+ Revision: 741991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.790.0-4.mga5
+ Revision: 686879
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.790.0-3.mga4
+ Revision: 516027
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.790.0-2.mga3
+ Revision: 374828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.790.0-1.mga2
+ Revision: 218868
- update to 0.79

* Fri Oct 14 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 154967
- update to 0.78

* Sun Jan 23 2011 jquelin <jquelin> 0.770.0-1.mga1
+ Revision: 34463
- mageia rebuild
- imported package perl-WebService-FreeDB


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.770.0-1mdv2010.0
+ Revision: 401917
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.77-5mdv2009.0
+ Revision: 258786
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.77-4mdv2009.0
+ Revision: 246703
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.77-2mdv2008.1
+ Revision: 171033
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.77-1mdv2008.0
+ Revision: 23230
- disable test, don't work on the cluster


* Tue Jun 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.76-1mdv2007.0
- New version 0.76

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdk
- New release 0.73

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-2mdk
- Fix BuildRequires

* Thu Jun 16 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-1mdk
- 0.7.1
- %%mkrel
- Make Rpmbuildupdate happy
- Fix URL
- Drop Patch 0 ( Merged Upstream )

* Wed Jun 08 2005 Stew Benedict <sbenedict@mandriva.com> 0.7-2mdk
- rebuild for new perl, patch for new page layout (P0)

* Sun Apr 24 2005 Stew Benedict <sbenedict@mandriva.com> 0.7-1mdk
- first Mandriva release

